## com.vividsolutions.jts.operation.overlay
Class LineBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.LineBuilder

public class LineBuilder
extends java.lang.Object

Forms JTS LineStrings out of a the graph of `DirectedEdge`s created by an `OverlayOp`.

Version:
  1.7

Constructor Summary
`LineBuilder(OverlayOp op, GeometryFactory geometryFactory, PointLocator ptLocator)`

Method Summary
`java.util.List` `build(int opCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineBuilder

    public LineBuilder(OverlayOp op,
                       GeometryFactory geometryFactory,
                       PointLocator ptLocator)

Method Detail

### build

    public java.util.List build(int opCode)

  Returns:
    a list of the LineStrings in the result of the specified overlay operation